import Utils from '@/utils/utils.js'
import zhCN from '@/locales/zh-CN/comtable.js'
import enUS from '@/locales/en-US/comtable.js'

const CommonDict = (!localStorage.getItem('lang') || localStorage.getItem('lang') === 'zh-CN') ? zhCN : enUS

class CommonTableBaseData {
  baseConfig = {
    type: 'FormTab',
    enabled: false,
    setting: {
      datatype: 'query',
      cols: '2',
      width: 100
    },
    tables: [],
    groups: [
      {
        isDefault: true,
        uuid: Utils.getuuid(),
        label: 'label',
        sort: 101,
        sublist: [
          {
            origin: true,
            uuid: Utils.getuuid(),
            label: 'label',
            field: '',
            initval: '',
            type: 'text',
            resourceType: '0',
            setAll: 'false',
            options: [],
            orderType: 'asc'
          }, {
            origin: true,
            uuid: Utils.getuuid(),
            label: 'label',
            field: '',
            initval: '',
            type: 'select',
            resourceType: '0',
            setAll: 'false',
            options: [],
            orderType: 'asc'
          }, {
            origin: true,
            uuid: Utils.getuuid(),
            label: 'label',
            field: '',
            initval: '',
            type: 'date',
            resourceType: '0',
            setAll: 'false',
            options: [],
            orderType: 'asc'
          }
        ]
      }
    ],
    action: [
      {
        btnType: 'confirm',
        uuid: Utils.getuuid(),
        label: '确定',
        intertype: 'inner',
        innerFunc: '',
        interface: '',
        outerFunc: '',
        sql: '',
        sqlType: '',
        callbackFunc: '',
        Ot: 'notRequired',
        execSuccess: 'grid',
        execError: 'never',
        errorTime: 15,
        OpenType: 'exec',
        icon: '',
        class: 'border-primary',
        verify: null
      }, {
        btnType: 'cancel',
        uuid: Utils.getuuid(),
        label: '关闭',
        execSuccess: 'grid',
        execError: 'never',
        errorTime: 15,
        OpenType: 'exec',
        pageTemplate: '',
        url: '',
        icon: '',
        class: 'border-danger'
      }
    ],
    tabs: [
      {
        origin: true,          // 是否为示例
        groupId: 'tabs',
        uuid: Utils.getuuid(),
        label: 'tab1',
        icon: '',
        type: 'SubTable',
        linkTab: '',
        subtabs: [],
        supMenu: ''
      },
      {
        origin: true,
        groupId: 'tabs',
        uuid: Utils.getuuid(),
        label: 'tab2',
        icon: '',
        type: 'SubTable',
        linkTab: '',
        subtabs: [],
        supMenu: ''
      }
    ],
    tabgroups: ['tabs']
  }

  searchItems = [
    {
      type: 'search',
      label: '文本',
      subType: 'text',
      url: ''
    },
    {
      type: 'search',
      label: '数字',
      subType: 'number',
      url: ''
    },
    {
      type: 'search',
      label: '下拉选择',
      subType: 'select',
      url: ''
    },
    {
      type: 'search',
      label: '文件上传',
      subType: 'fileupload',
      url: ''
    },
    {
      type: 'search',
      label: '时间（天）',
      subType: 'date',
      url: ''
    },
    {
      type: 'search',
      label: '时间（月）',
      subType: 'datemonth',
      url: ''
    },
    {
      type: 'search',
      label: '时间（秒）',
      subType: 'datetime',
      url: ''
    },
    {
      type: 'search',
      label: '多行文本',
      subType: 'textarea',
      url: ''
    }
  ]

  actionItems = [
    {
      type: 'action',
      label: CommonDict['header.form.prompt'],
      subType: 'prompt',
      url: ''
    },
    {
      type: 'action',
      label: CommonDict['header.form.exec'],
      subType: 'exec',
      url: ''
    }
  ]

  tabItems = [
    {
      type: 'tabs',
      label: CommonDict['header.menu.tab.subtable'],
      subType: 'SubTable',
    }
  ]
}

export default new CommonTableBaseData()
